GET /v1/public/storefronts/{slug}/collections
GET
/v1/public/storefronts/{slug}/collectionsPath parameters
slugstringrequiredQuery parameters
categorystringqstringtagstringpreview_tokenstringlimitinteger<int32>min 1 · max 100 · default: 30
offsetinteger<int32>min 0 · default: 0
Responses
200OK
itemsCollectionOutput[] | nullrequiredShow propertiesHide properties
Array of
CollectionOutputactivebooleanrequireddescriptionstringidstringrequiredimage_urlstringproduct_countinteger<int32>slugstringrequiredsort_orderinteger<int32>requiredtitlestringrequireddefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/public/storefronts/string/collections"const response = await fetch("/v1/public/storefronts/string/collections", {
method: "GET"
});import requests
response = requests.get(
"/v1/public/storefronts/string/collections",
)Response
{
"items": [
{
"active": true,
"description": "string",
"id": "string",
"image_url": "string",
"product_count": 0,
"slug": "string",
"sort_order": 0,
"title": "string"
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}